Name: Thunar
Version: 1.3.0
Release: alt7.M60P.4

Summary: Thunar File Manager for the XFce Desktop Environment
Summary (ru_RU.UTF-8): Файловый менеджер Thunar
Group: Graphical desktop/XFce
License: %gpl2plus
Url: http://thunar.xfce.org
Packager: XFCE Team <xfce@packages.altlinux.org>
Source: %name-%version.tar
Patch0: Thunar-1.3.0-alt-fix-freeze-on-http.patch
Patch100: Thunar-1.3.0-alt-dont-trash-on-win-fs.patch
Patch101: Thunar-1.3.0-alt-utf8-collate.patch
# Pathes from upstream git, should be dropped
# on update version.
Patch1: Thunar-1.3.0-fix-crash-trying-thumbnail.patch
Patch2: Thunar-1.3.0-fix-properties-dialog-crash.patch
Patch3: Thunar-1.3.0-fix-crash-opening-mountable-drive.patch
Patch4: Thunar-1.3.0-fix-crash-CD-special-icon.patch
Patch6: Thunar-1.3.0-alt-russian-translation.patch
Patch8: Thunar-1.3.0-alt-russian-documentation.patch
Patch9: Thunar-1.3.0-fix-format-string.patch
Patch10: Thunar-1.3.0-fix-crash-icons-missing.patch
Patch11: Thunar-1.3.0-non-init-var.patch
Patch12: Thunar-1.3.0-fix-locale.patch
Patch13: Thunar-1.3.0-desktop-files-names.patch
Patch14: Thunar-1.3.0-win-exec-allow.patch
Patch15: Thunar-1.3.0-fix-sort-large-numbers.patch
Patch16: Thunar-1.3.0-fix-crash-plugin-null.patch
Patch17: Thunar-1.3.0-fix-crash-removing-folder.patch
Patch18: Thunar-1.3.0-improve-sorting.patch
Patch19: Thunar-1.3.0-fix-launching-multiple-files.patch
###

BuildRequires(pre): rpm-build-licenses

BuildPreReq: rpm-build-xfce4 >= 0.1.0 xfce4-dev-tools
BuildPreReq: libxfce4panel-devel >= 4.8 libxfconf-devel >= 4.8 libexo-devel >= 0.6.0 libxfce4ui-devel >= 4.8
# Automatically added by buildreq on Thu Jan 22 2009
BuildRequires: gtk-doc intltool libSM-devel libdbus-glib-devel libexif-devel libgamin-devel libpcre-devel libstartup-notification-devel time
BuildRequires: libnotify4-devel libgudev-devel
BuildRequires: desktop-file-utils

Requires: lib%name = %version-%release
Requires: eject

%description
Thunar File Manager for the XFce desktop environment.

%description -l ru_RU.UTF-8
Файловый менеджер Thunar используемый в окружении рабочего стола Xfce.

%package -n libThunar-devel
Summary: devel files for Thunar
Group: Graphical desktop/XFce
Requires: lib%name = %version-%release

%description -n libThunar-devel
This package contains development files required to build build
%name-based software..

%package -n libThunar
Summary: Shared libraries for Thunar
Group: Graphical desktop/XFce

%description -n libThunar
This package contains libraries for Thunar.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1

%patch100 -p1
%patch101 -p1

%build
%xfce4reconf
%configure \
	--disable-static \
	--enable-largefile \
	--enable-startup-notification \
	--enable-xml2po \
	--enable-dbus \
	--enable-gtk-doc \
	--enable-gen-doc \
	--enable-exif \
	--enable-pcre \
	--enable-gio-unix \
	--enable-debug=no
%make_build

%install
%makeinstall_std
%find_lang %name
desktop-file-install --dir %buildroot%_desktopdir \
	--remove-category=Filesystem \
	--add-category=FileTools \
	%buildroot%_desktopdir/Thunar-bulk-rename.desktop

%check
make check

%files -f %name.lang
%doc README TODO ChangeLog NEWS AUTHORS
%config(noreplace) %_sysconfdir/xdg/Thunar/
%_bindir/*
%_desktopdir/*
%_man1dir/*
%_pixmapsdir/*
%_datadir/dbus-1/services/*
%_datadir/Thunar
%_datadir/xfce4/panel-plugins/*.desktop
%_libdir/xfce4/panel/plugins/*.so
%exclude %_libdir/xfce4/panel/plugins/*.la
%dir %_libdir/thunarx-*/
%_libdir/thunarx-*/*.so
%_libdir/%name/
%_iconsdir/hicolor/*/*/*
%_docdir/%name

%files -n libThunar
%_libdir/*.so.*

%files -n libThunar-devel
%_datadir/gtk-doc/html/*
%_pkgconfigdir/*.pc
%_includedir/thunarx-*/
%_libdir/*.so
%exclude %_libdir/thunarx-*/*.la

%changelog
* Thu May 03 2012 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt7.M60P.4
- Fix files sorting (closes: #27287).

* Wed Mar 07 2012 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt7.M60P.3
- Patches from upstream:
  + Fix handling %%U when launching multiple files with an app.
  + Improve sorting of file names that include numbers
    (closes: #26282).
  + Fix crash when removing an ancestor of the current folder.

* Thu Jan 19 2012 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt7.M60P.2
- Don't create trash on nfs and cifs filesystems too.

* Tue Dec 06 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt7.M60P.1
- Build for p6.

* Tue Dec 06 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt8
- Patches from upstream:
  + Fix segfault when plugin returns a NULL suffix.
  + Fix sorting of filenames with large numbers.
- Don't try create trash on Windows filesystems (closes: #26662).

* Tue Oct 11 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt6.M60P.1
- Build for p6.

* Fri Oct 07 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt7
- Patches from upstream:
  + Allow exec bit of MS-DOS executables and MSI to be changed.
  + Show translated names of desktop files.
  + Prevent falling back to an unexpected locale.
  + Fix non-initialized variable.
  + Fix segfaults in case icons are missing or not found.
- Drop obsoleted patch.
- Update fix-crash-opening-mountable-drive.patch.
- Drop fix-thunar-settings-icon.patch.

* Mon Sep 05 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt5.M60P.1
- Build for p6.

* Wed Aug 31 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt6
- Fix format strings of display names (CVE-2011-1588).
- Updated Russian translation.
- Rename russian-translation.patch -> russian-documentation.patch.
- Fix thunar-settings icon.

* Fri Jun 10 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt5
- Require eject (closes: #25736).

* Wed May 25 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt4
- Update Russian documentation translation (by Artem Zolochevskiy).
- bulk-rename.desktop: Change category: Filesystem -> FileTools
    (patch from repocop).

* Fri May 20 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt3
- Add fix-smb.patch (closes: #25629).

* Sun Apr 17 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt2
- Build with libnotify-0.7.
- Patches from upstream git (fixes various crashes).
- Don't recognize empty 'http:' and 'https:' as URI (closes: #25443).

* Tue Feb 15 2011 Mikhail Efremov <sem@altlinux.org> 1.3.0-alt1
- Enable tests.
- Own forgotten dirs.
- Updated to 1.3.0.

* Tue Jan 25 2011 Mikhail Efremov <sem@altlinux.org> 1.2.0-alt1
- Drop thunar-remove-shorcuts-view-min-len.patch (obsolete).
- Drop thunar-vfs-get_eject.diff (obsolete).
- Remove Thunar-0.9.0-missing-audio-cds-for-volman.patch.
- Spec cleanup, tar.bz2 -> tar.
- Updated to 1.2.0 (closes: #22728).

* Tue May 25 2010 Denis Koryavov <dkoryavov@altlinux.org> 1.0.2-alt1
- New version.

* Wed Dec 23 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.1-alt4
- Fix build width gtkdoc.

* Sun Jul 05 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.1-alt3
- Added patch that removes minimal length limitation for width of shortcuts view pane.

* Mon May 25 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.1-alt2
- Added autoconf and automake requirements. This is resolve problem with translation for item Make Link for some systems.

* Mon Apr 20 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.1-alt1
- Xfce 4.6.1

* Sun Apr 12 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.0.0-alt1
- Xfce 4.6.0

* Tue Jan 27 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.9.99.1-alt1
- Xfce 4.6rc1

* Thu Jan 22 2009 Eugene Ostapets <eostapets@altlinux.ru> 0.9.93-alt1
- Xfce 4.6 beta 3

* Fri Oct 24 2008 Eugene Ostapets <eostapets@altlinux.org> 0.9.91-alt1
- Xfce 4.6 beta1

* Wed Dec 12 2007 Eugene Ostapets <eostapets@altlinux.org> 0.9.0-alt2
- fix "Eject" menu for ejectable device
- fix detect audio cd

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 0.9.0-alt1
- Xfce 4.4.2 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.8.0-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.5.0-alt1.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 0.5.0-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  0.4.0rc1-alt2
- Fix buildreq and cleanup spec

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0rc1-alt1
- 4.4rc1
